pmarlen-web-ligth/src/main/java/com/pmarlen/web/security/managedbean/SystemInfoMB.java
package com.pmarlen.web.security.managedbean;

import com.pmarlen.backend.dao.UsuarioDAO;
import com.pmarlen.backend.dao.UsuarioPerfilDAO;
import com.pmarlen.backend.model.Usuario;
import com.pmarlen.backend.model.UsuarioPerfil;
import com.pmarlen.model.Constants;
import com.pmarlen.web.servlet.ContextAndSessionListener;
import com.pmarlen.web.servlet.SessionInfo;
import java.io.Serializable;

import java.text.*;
import java.util.*;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.bean.SessionScoped;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@ManagedBean(name="systemInfoMB")
@RequestScoped
public class SystemInfoMB  implements Serializable{

	private final Logger logger = LoggerFactory.getLogger(SystemInfoMB.class);
	private static SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss:SSS");

	public String getSystemVersion() {
		return Constants.getServerVersion();
	}
	
	public String getBuildTimestamp() {
		return Constants.getBuildTimestamp();	
	}

}

pmarlen-web-ligth/src/main/webapp/WEB-INF/templates/mainWithMenu.xhtml
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
            <f:facet name="first">
                <meta http-equiv="X-UA-Compatible" content="EmulateIE8" />
                <meta content='text/html; charset=UTF-8' http-equiv="Content-Type"/>
                <title><ui:insert name="title"/></title>
            </f:facet>
			<link type="text/css" rel="stylesheet" href="#{request.contextPath}/css/default.css" />            
        </h:head>


        <h:body>

			<h:form id="formHeader">

				<h:panelGrid columns="2" style="width: 100%" columnClasses="columnWidth40 centerAlign, columnWidth60 leftAlign">
					<h:panelGrid columns="3" columnClasses="columnWidth10 centerAlign, columnWidth80 leftAlign,columnWidth10 centerAlign ">
						
						<h:outputLink id="link1" value="#{request.contextPath}/pages/home.jsf">
							<p:graphicImage value="/images/turboload/Logo_T2.gif" alt="(LOGO)" title="PERFUMERIA-MARLEN > INICIO"/>
						</h:outputLink>
						
						<h:panelGrid columns="1">
							<h:outputText value="PERFUMERIA MARLEN S.A. DE C.V."	style="font: normal 100% 'News Cycle', arial, sans-serif;"/>
							<h:outputText value="DISTRIBUCIONES"					style="font: normal 60%  'News Cycle', arial, sans-serif;"/>
						</h:panelGrid>
						
						<h:panelGroup>
							<p:ajaxStatus>
								<f:facet name="default">
									<p:graphicImage value="/images/20_loading_stoped_icon.gif" alt=" " title=""/>
								</f:facet>
								<f:facet name="start">
									<p:graphicImage value="/images/20_loading_icon.gif" alt="@" title="Cargando..."/>
								</f:facet>
								<f:facet name="complete">
									<p:graphicImage value="/images/20_loading_stoped_icon.gif" alt=" " title=""/>
								</f:facet>
							</p:ajaxStatus>
						</h:panelGroup>
						
					</h:panelGrid>
				
					
					<p:menubar>
						<p:submenu label="OPERACIÓN" icon="ui-icon-gear">
							
							<p:submenu label="VENTAS" icon="ui-icon-contact">
								<p:menuitem value="NUEVO" url="/pages/pedidoVenta.jsf" icon="ui-icon-cart"/>
								<p:menuitem value="EN PROCESO" url="/pages/pedidosVenta.jsf" icon="ui-icon-calculator"/>
								<p:menuitem value="HISTORICO" url="/pages/historicoPedidosVenta.jsf" icon="ui-icon-clock"/>
								<p:menuitem value="DEVOLUCIÓNES" url="/pages/devolucionVentas.jsf" icon="ui-icon-arrowreturn-1-s"/>
							</p:submenu>
							
							<p:submenu label="COMPRAS" icon="ui-icon-contact">
								<p:menuitem value="NUEVA" url="/pages/pendiente.jsf" icon="ui-icon-circlesmall-plus"/>								
							</p:submenu>
							
							<p:submenu label="SALIDAS (-)" icon="ui-icon-extlink">
								<p:menuitem value="MERMAS"     url="/pages/pendiente.jsf" icon="ui-icon-arrowreturn-1-s"/>								
								<p:menuitem value="REGALIAS"   url="/pages/pendiente.jsf" icon="ui-icon-extlink"/>
							</p:submenu>

							<p:submenu label="MOVS. ALMACENES" icon="ui-icon-transfer-e-w">
								<p:menuitem value="A SUCURSAL" url="/pages/pendiente.jsf" icon="ui-icon-shuffle"/>
								<p:menuitem value="SUB-ALMACEN" url="/pages/pendiente.jsf" icon="ui-icon-arrow-1-se"/>
								<p:menuitem value="MERMA" url="/pages/pendiente.jsf" icon="ui-icon-trash"/>
							</p:submenu>

							<p:submenu label="INVENTARIOS" icon="ui-icon-clipboard">					
								<p:menuitem value="PRINCIPAL" url="/pages/pendiente.jsf" icon="ui-icon-home"/>
								<p:menuitem value="CONTEO." url="/pages/pendiente.jsf" icon="ui-icon-shuffle"/>
								<p:menuitem value="SUCURSALES " url="/pages/pendiente.jsf" icon="ui-icon-newwin"/>
								<p:menuitem value="HIST. MOVS." url="/pages/pendiente.jsf" icon="ui-icon-clock"/>
							</p:submenu>

						</p:submenu>

						<p:submenu label="ADMINISTRACIÓN" icon="ui-icon-suitcase">
							
							<p:submenu label="CATÁLOGOS" icon="ui-icon-newwin">
								<p:menuitem value="PRODUCTOS" icon="ui-icon-star"/>									
								<p:menuitem value="OFERTAS"   url="/pages/pendiente.jsf" icon="ui-icon-tag"/>
								<p:menuitem value="CLIENTES"  url="/pages/cliente.jsf" icon="ui-icon-person"/>
								<p:menuitem value="PROVEEDORES" url="/pages/pendiente.jsf" icon="ui-icon-bookmark"/>																
							</p:submenu>
							
							<p:submenu label="REPORTES" icon="ui-icon-script">
								<p:submenu label="VENTAS" icon="ui-icon-check">
									<p:menuitem value="X #PEDIDO" url="/pages/pendiente.jsf" icon="ui-icon-star"/>
									<p:menuitem value="X PRODUCTO" url="/pages/pendiente.jsf" icon="ui-icon-bookmark"/>
									<p:menuitem value="X LINEA-MARCA" url="/pages/pendiente.jsf" icon="ui-icon-bookmark"/>
									<p:menuitem value="X PROVEEDOR" url="/pages/pendiente.jsf" icon="ui-icon-bookmark"/>
								</p:submenu>
								
							</p:submenu>
							
							<p:submenu label="SISTEMA" icon="ui-icon-newwin">
								<p:menuitem value="USUARIOS" url="/pages/pendiente.jsf" icon="ui-icon-person"/>
								<p:menuitem value="SUCURSALES" url="/pages/pendiente.jsf" icon="ui-icon-star"/>
							</p:submenu>
							
							
						</p:submenu>

						<p:submenu label="CONTROL" icon="ui-icon-locked">
							<p:menuitem value="SESIONES ACTIVAS" url="/pages/pendiente.jsf" icon="ui-icon-clock"></p:menuitem>
							<p:menuitem value="CONFIGURACIONES" url="/pages/pendiente.jsf" icon="ui-icon-wrench"></p:menuitem>
							<p:menuitem value="REINICIAR SERVIDOR" url="/pages/pendiente.jsf" icon="ui-icon-power"></p:menuitem>
							<p:menuitem value="SQL" url="/pages/pendiente.jsf" icon="ui-icon-disk"></p:menuitem>
							<p:menuitem value="RESPALDO" url="/pages/pendiente.jsf" icon="ui-icon-alert"></p:menuitem>
						</p:submenu>

						<f:facet name="options">									
							<p:menuButton value="#{sessionUserMB.usuarioAuthenticated.nombreCompleto}">
								<p:menuitem value="AYUDA" url="#{request.contextPath}/pages/home.jsf" icon="ui-icon-help"/>
								<p:menuitem value="INFORMACIÓN USUARIO" url="/logout" icon="ui-icon-contact" />
								<p:menuitem value="WEB-MAIL" url="#{request.contextPath}/pages/home.jsf" icon="ui-icon-mail-closed"/>
								<p:menuitem value="SALIR" url="/logout" icon="ui-icon-extlink" />
							</p:menuButton>
						</f:facet>
					</p:menubar>
				</h:panelGrid>
				
			</h:form>
			
			<h:form>
				<p:idleMonitor timeout="#{sessionUserMB.timeOutSession}">
					<p:ajax event="idle"   listener="#{sessionUserMB.onIdle}"   oncomplete="window.location.replace('/pmarlen-web-ligth/logout');" />
				</p:idleMonitor>
			</h:form>
			
			<p:panel id="basic" styleClass="preferencesPanel">
				<f:facet name="header">
					<ui:insert name="body-title">BodyTitle</ui:insert>
				</f:facet>

				<h:panelGrid columns="1" style="margin: auto;background-color: transparent; width: 100%; height: inherit; ">

					<h:panelGroup style="display:block; text-align:center; background-color: transparent; ">
						
						<ui:insert name="body">Body</ui:insert>

					</h:panelGroup>

				</h:panelGrid>
			</p:panel>
			<br/>
			<br/>
			
			<h:panelGroup class="footer-bar">

				<h:outputText value="Perfumeria Marlen, Sistema de Adminisración de Almacen Ver. #{systemInfoMB.systemVersion} / Construido: #{systemInfoMB.buildTimestamp}" />

			</h:panelGroup>

        </h:body>

    </f:view>
</html>

pmarlen-web-ligth/src/main/webapp/WEB-INF/templates/mainWithMenu_original.xhtml
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
            <f:facet name="first">
                <meta http-equiv="X-UA-Compatible" content="EmulateIE8" />
                <meta content='text/html; charset=UTF-8' http-equiv="Content-Type"/>
                <title><ui:insert name="title"/></title>
            </f:facet>
			<link type="text/css" rel="stylesheet" href="#{request.contextPath}/css/default.css" />            
        </h:head>


        <h:body>

			<h:form id="formHeader">

				<h:panelGrid columns="2" style="width: 100%" columnClasses="columnWidth40 centerAlign, columnWidth60 leftAlign">
					<h:panelGrid columns="3" columnClasses="columnWidth10 centerAlign, columnWidth80 leftAlign,columnWidth10 centerAlign ">
						
						<h:outputLink id="link1" value="#{request.contextPath}/pages/home.jsf">
							<p:graphicImage value="/images/turboload/Logo_T2.gif" alt="(LOGO)" title="PERFUMERIA-MARLEN > INICIO"/>
						</h:outputLink>
						
						<h:panelGrid columns="1">
							<h:outputText value="PERFUMERIA MARLEN S.A. DE C.V."	style="font: normal 100% 'News Cycle', arial, sans-serif;"/>
							<h:outputText value="DISTRIBUCIONES"					style="font: normal 60%  'News Cycle', arial, sans-serif;"/>
						</h:panelGrid>
						
						<h:panelGroup>
							<p:ajaxStatus>
								<f:facet name="default">
									<p:graphicImage value="/images/20_loading_stoped_icon.gif" alt=" " title=""/>
								</f:facet>
								<f:facet name="start">
									<p:graphicImage value="/images/20_loading_icon.gif" alt="@" title="Cargando..."/>
								</f:facet>
								<f:facet name="complete">
									<p:graphicImage value="/images/20_loading_stoped_icon.gif" alt=" " title=""/>
								</f:facet>
							</p:ajaxStatus>
						</h:panelGroup>
						
					</h:panelGrid>
					<p:menubar>
						<p:submenu label="OPERACIÓN" icon="ui-icon-gear">
							
							<p:submenu label="VENTAS" icon="ui-icon-contact">
								<p:menuitem value="NUEVO" url="/pages/pedidoVenta.jsf" icon="ui-icon-cart"/>
								<p:menuitem value="EN PROCESO" url="/pages/pedidosVenta.jsf" icon="ui-icon-calculator"/>
								<p:menuitem value="HISTORICO" url="/pages/historicoPedidosVenta.jsf" icon="ui-icon-clock"/>
								<p:menuitem value="DEVOLUCIÓNES" url="/pages/devolucionVentas.jsf" icon="ui-icon-arrowreturn-1-s"/>
							</p:submenu>
							
							<p:submenu label="COMPRAS" icon="ui-icon-contact">
								<p:menuitem value="NUEVA" url="/pages/pendiente.jsf" icon="ui-icon-circlesmall-plus"/>								
							</p:submenu>
							
							<p:submenu label="SALIDAS (-)" icon="ui-icon-extlink">
								<p:menuitem value="MERMAS"     url="/pages/pendiente.jsf" icon="ui-icon-arrowreturn-1-s"/>								
								<p:menuitem value="REGALIAS"   url="/pages/pendiente.jsf" icon="ui-icon-extlink"/>
							</p:submenu>

							<p:submenu label="MOVS. ALMACENES" icon="ui-icon-transfer-e-w">
								<p:menuitem value="A SUCURSAL" url="/pages/pendiente.jsf" icon="ui-icon-shuffle"/>
								<p:menuitem value="SUB-ALMACEN" url="/pages/pendiente.jsf" icon="ui-icon-arrow-1-se"/>
								<p:menuitem value="MERMA" url="/pages/pendiente.jsf" icon="ui-icon-trash"/>
							</p:submenu>

							<p:submenu label="INVENTARIOS" icon="ui-icon-clipboard">					
								<p:menuitem value="PRINCIPAL" url="/pages/pendiente.jsf" icon="ui-icon-home"/>
								<p:menuitem value="CONTEO." url="/pages/pendiente.jsf" icon="ui-icon-shuffle"/>
								<p:menuitem value="SUCURSALES " url="/pages/pendiente.jsf" icon="ui-icon-newwin"/>
								<p:menuitem value="HIST. MOVS." url="/pages/pendiente.jsf" icon="ui-icon-clock"/>
							</p:submenu>

						</p:submenu>

						<p:submenu label="ADMINISTRACIÓN" icon="ui-icon-suitcase">
							
							<p:submenu label="CATÁLOGOS" icon="ui-icon-newwin">
								<p:menuitem value="PRODUCTOS" icon="ui-icon-star"/>									
								<p:menuitem value="OFERTAS"   url="/pages/pendiente.jsf" icon="ui-icon-tag"/>
								<p:menuitem value="CLIENTES"  url="/pages/cliente.jsf" icon="ui-icon-person"/>
								<p:menuitem value="PROVEEDORES" url="/pages/pendiente.jsf" icon="ui-icon-bookmark"/>																
							</p:submenu>
							
							<p:submenu label="REPORTES" icon="ui-icon-script">
								<p:submenu label="VENTAS" icon="ui-icon-check">
									<p:menuitem value="X #PEDIDO" url="/pages/pendiente.jsf" icon="ui-icon-star"/>
									<p:menuitem value="X PRODUCTO" url="/pages/pendiente.jsf" icon="ui-icon-bookmark"/>
									<p:menuitem value="X LINEA-MARCA" url="/pages/pendiente.jsf" icon="ui-icon-bookmark"/>
									<p:menuitem value="X PROVEEDOR" url="/pages/pendiente.jsf" icon="ui-icon-bookmark"/>
								</p:submenu>
								
							</p:submenu>
							
							<p:submenu label="SISTEMA" icon="ui-icon-newwin">
								<p:menuitem value="USUARIOS" url="/pages/pendiente.jsf" icon="ui-icon-person"/>
								<p:menuitem value="SUCURSALES" url="/pages/pendiente.jsf" icon="ui-icon-star"/>
							</p:submenu>
							
							
						</p:submenu>

						<p:submenu label="CONTROL" icon="ui-icon-locked">
							<p:menuitem value="SESIONES ACTIVAS" url="/pages/pendiente.jsf" icon="ui-icon-clock"></p:menuitem>
							<p:menuitem value="CONFIGURACIONES" url="/pages/pendiente.jsf" icon="ui-icon-wrench"></p:menuitem>
							<p:menuitem value="REINICIAR SERVIDOR" url="/pages/pendiente.jsf" icon="ui-icon-power"></p:menuitem>
							<p:menuitem value="SQL" url="/pages/pendiente.jsf" icon="ui-icon-disk"></p:menuitem>
							<p:menuitem value="RESPALDO" url="/pages/pendiente.jsf" icon="ui-icon-alert"></p:menuitem>
						</p:submenu>

						<f:facet name="options">									
							<p:menuButton value="#{sessionUserMB.usuarioAuthenticated.nombreCompleto}">
								<p:menuitem value="AYUDA" url="#{request.contextPath}/pages/home.jsf" icon="ui-icon-help"/>
								<p:menuitem value="INFORMACIÓN USUARIO" url="/logout" icon="ui-icon-contact" />
								<p:menuitem value="WEB-MAIL" url="#{request.contextPath}/pages/home.jsf" icon="ui-icon-mail-closed"/>
								<p:menuitem value="SALIR" url="/logout" icon="ui-icon-extlink" />
							</p:menuButton>
						</f:facet>
					</p:menubar>
				</h:panelGrid>
				
			</h:form>
			
			<h:form>
				<p:idleMonitor timeout="#{sessionUserMB.timeOutSession}">
					<p:ajax event="idle"   listener="#{sessionUserMB.onIdle}"   oncomplete="window.location.replace('/pmarlen-web-ligth/logout');" />
				</p:idleMonitor>
			</h:form>
			
			<p:panel id="basic" styleClass="preferencesPanel">
				<f:facet name="header">
					<ui:insert name="body-title">BodyTitle</ui:insert>
				</f:facet>

				<h:panelGrid columns="1" style="margin: auto;background-color: transparent; width: 100%; height: inherit; ">

					<h:panelGroup style="display:block; text-align:center; background-color: transparent; ">
						
						<ui:insert name="body">Body</ui:insert>

					</h:panelGroup>

				</h:panelGrid>
			</p:panel>
			<br/>
			<br/>
			
			<h:panelGroup class="footer-bar">

				<h:outputText value="Perfumeria Marlen, Sistema de Adminisración de Almacen Ver. #{systemInfoMB.systemVersion} / Construido: #{systemInfoMB.buildTimestamp}" />

			</h:panelGroup>

        </h:body>

    </f:view>
</html>